# Compute Units

## Endpoint

<mark style="color:green;">`GET`</mark> [`https://pro.circular.bot/market/fees/by/computeUnit`](https://pro.circular.bot/market/fees/by/computeUnit)

This endpoint retrieves percentile information for fees (in lamports) based on a comput unit range

**Headers**

<pre class="language-json"><code class="lang-json"><strong>{
</strong>    "Content-Type": "application/json",
    "x-api-key": "your-api-key"
}
</code></pre>

**Parameters**

```json
{
    "wallets": [ // Optional | filter by a list of wallets, if the field is not specified the data is based on the entire market
        "Ge8xkdPrPU2tP22nKWBHocCZ6ezfHTLGHZzLsPmEtozH",
        ...
    ],
    "computeUnitMin": 0, // Minimum compute unit value
    "computeUnitMax": 10000000000000, // Maximum compute unit value
    "providers": [ // Filter by provider list ("JITO", "FAST", "TEMPORAL", "BLOX", "NEXTBLOCK", "NO_PROVIDER")
        "FAST",
        "JITO",
        ...
    ],
    "maxTimeRange": 900 // Considers transactions from now since (seconds)
}
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "FAST": {
      "number": 3223, // The total number of transactions where this mint was used for tipping
      "percentiles": {
        "p00": 1000000, // Minimum percentage of gains allowed for tip amounts.
        "p10": 1182033,
        "p20": 1495086,
        "p30": 2047978,
        "p40": 3154260,
        "p50": 4827979, // Median percentage of gains allowed for tip amounts (50th percentile).
        "p60": 6446495,
        "p70": 9217775,
        "p80": 15950023,
        "p90": 40284947,
        "p95": 104138223,
        "p99": 516037929 // 99th percentile of percentages of gains allowed for tip amounts.
      }
  }
}
```

{% endtab %}
{% endtabs %}

**Informations:**

* Requests per minute: 10
* Available plans: [**PREMIUM**](https://www.circular.bot/plans), [**PRO**](https://www.circular.bot/plans)
* More technical information [here](https://pro.circular.bot/documentation#operation/fees_by_computUnits_market_fees_by_computeUnit_get)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.circular.bot/circular-docs/api/tools/fees/transactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
